﻿@{
    ViewBag.Title = "Chat";
}
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<link href="~/Content/Chat.css" rel="stylesheet" />
<script src="~/Scripts/Chat.js"></script>
<span id="chatterId" style="display:none"></span>
<h2>Hi @Session["EmailId"]</h2>
@*<input id="current" />*@
<div id="userList" style="width:500px;border:2px solid green;padding:10px;">
    <h3>User list</h3>
    <ul></ul>
</div>
<div id="ChatList" style="width: 500px; border: 2px solid yellow; margin-top: 50px;padding-bottom:50px;">
    <h3></h3>
    <ul  class="list-group"></ul>
</div>
<div id="userList">
    <input id="msg" />
    <button id="Send">Send</button>
</div>
<style>
    .receiver{
        color:green;
        text-align:right;
    }
</style>
<script>
    var ServerUrl = '/Chat.Vikas/Home/';
    //var Url = '/Home/';
    $(document).ready(function () {
        $('#chatterId').text('General');
        $('#ChatList h3').text('General');
        $('#Send').click(function (e) {
            e.preventDefault();
            var a = $('#current').val();
            $.post(ServerUrl + 'SaveChats', { user: '@Session["EmailId"]', msg: $('#msg').val(), msgFor: $('#chatterId').text() });
            $('#msg').val('');
        });
        window.setInterval(function () {
            //$('#ChatList').html($('#ChatList').html() + 1 );
            var a = $('#current').val();
            $.get(ServerUrl + 'getChats', { user: '@Session["EmailId"]', msgFor: $('#chatterId').text() })
                .done(function (data) {
                    $('#userList ul').empty();
                    $('#ChatList ul').empty();
                    $.each(data[0], function (i) {
                        if ('@Session["EmailId"]'.toLowerCase() == this['Id'].toLowerCase()) {
                            return true;
                        }
                        var Users = '<li class="chatWindow" style="cursor:pointer;"><span>' + this['name'] + '</span><span style="display:none">' + this['Id'] + '</span></li>';
                        $('#userList ul').append(Users);
                        $('#userList ul li').click(function () {
                            $('#chatterId').text($(this).children('span').eq(1).text());
                            $('#ChatList h3').text($(this).children('span').eq(0).text());
                        });

                    });
                    @*$.each(data[1], function (i) {
                        var a = $('#current').val();
                        var cls = 'msg_sent';
                        if (this['User'] == '@Session["EmailId"]')
                            cls = 'base_receive';
                        var ChatList = '<li class="list-group-item ' + cls + '"><b>' + this['User'] + ': </b>' + this['Message'] + '  <span class="label label-warning">' + this['massegeDate'] + '</span></li>';
                        //var ChatList = '<div class="row msg_container ' + cls + '"><div class="col-xs-10 col-md-10"><div class="messages msg_sent"><p>' + this['Message'] + '</p><time >Timothy • 51 min</time></div></div></div>';
                        $('#ChatList ul').append(ChatList);
                    });*@
                });
        }, 1500);
    });

    $(document).on('click', '.chatWindow', function (e) {
        var size = $(".chat-window:last-child").css("margin-left");
        size_total = parseInt(size) + 300;
        //alert(size_total);
        var w = '<div class="row chat-window col-xs-5 col-md-3" id="' + $(this).children('span').eq(0).text() + '" style="margin-left:10px;display:none;"></div>';
        $(".container").append(w);
        var id = $(this).children('span').eq(0).text();
        $('#' + $(this).children('span').eq(0).text()).html($("#chat_window_1").html()).css("margin-left", size_total).show();
        $('#' + $(this).children('span').eq(0).text()).find('#userId').text($(this).children('span').eq(0).text());


        window.setInterval(function () {
            //$('#ChatList').html($('#ChatList').html() + 1 );
            var a = $('#current').val();
            $.get(ServerUrl + 'getChats', { user: '@Session["EmailId"]', msgFor: id })
                .done(function (data) {
                    $('#' + id + ' .msg_container_base').empty();
                    $('#userList ul').empty();
                    $('#ChatList ul').empty();
                    $.each(data[0], function (i) {
                        if ('@Session["EmailId"]'.toLowerCase() == this['Id'].toLowerCase()) {
                            return true;
                        }
                        var Users = '<li class="chatWindow" style="cursor:pointer;"><span>' + this['name'] + '</span><span style="display:none">' + this['Id'] + '</span></li>';
                        $('#userList ul').append(Users);
                        $('#userList ul li').click(function () {
                            $('#chatterId').text($(this).children('span').eq(1).text());
                            $('#ChatList h3').text($(this).children('span').eq(0).text());
                        });

                    });
                    $.each(data[1], function (i) {
                        var a = $('#current').val();
                        var ChatList = '<div class="row msg_container base_sent"><div class="col-xs-10 col-md-10"><div class="messages msg_sent"><p>' + this['Message'] + '</p><time >' + this['massegeDate'] + '</time></div></div><div class="col-md-2 col-xs-2 avatar"><img src="/Chat.Vikas/Content/pic.png" class=" img-responsive "></div></div>';
                        if (this['User'] == '@Session["EmailId"]')
                            var ChatList = '<div class="row msg_container base_receive"><div class="col-md-2 col-xs-2 avatar"><img src="/Chat.Vikas/Content/pic.png" class=" img-responsive "></div><div class="col-xs-10 col-md-10"><div class="messages msg_receive"><p>' + this['Message'] + '</p><time >' + this['massegeDate'] + '</time></div></div></div>';
                       // var ChatList = '<div class="row msg_container ' + cls + '"><div class="col-xs-10 col-md-10"><div class="messages msg_sent"><p>' + this['Message'] + '</p><time >Timothy • 51 min</time></div></div><div class="col-md-2 col-xs-2 avatar"><img src="~/Content/pic.png" class=" img-responsive "></div></div>';
                        $('#' + id + ' .msg_container_base').append(ChatList);
                    });
                });
        }, 1500);
    });

</script>




@* chat window*@
<div class="row chat-window col-xs-5 col-md-3" id="chat_window_1" style="margin-left:10px;display:none;">
    <div class="col-xs-12 col-md-12">
        <div class="panel panel-default">
            <div class="panel-heading top-bar">
                <div class="col-md-8 col-xs-8">
                    <h3 class="panel-title"><span class="glyphicon glyphicon-comment"></span> <span id="userId"></span></h3>
                </div>
                <div class="col-md-4 col-xs-4" style="text-align: right;">
                    <a href="#"><span id="minim_chat_window" class="glyphicon glyphicon-minus icon_minim"></span></a>
                    <a href="#"><span class="glyphicon glyphicon-remove icon_close" data-id="chat_window_1"></span></a>
                </div>
            </div>
            <div class="panel-body msg_container_base">
                <div class="row msg_container base_sent">
                    <div class="col-xs-10 col-md-10">
                        <div class="messages msg_sent">
                            <p>
                                that mongodb thing looks good, huh?
                                tiny master db, and huge document store
                            </p>
                            <time >Timothy • 51 min</time>
                        </div>
                    </div>
                    <div class="col-md-2 col-xs-2 avatar">
                        <img src="~/Content/pic.png" class=" img-responsive ">
                    </div>
                </div>
                <div class="row msg_container base_receive">
                    <div class="col-md-2 col-xs-2 avatar">
                        <img src="~/Content/pic.png" class=" img-responsive ">
                    </div>
                    <div class="col-xs-10 col-md-10">
                        <div class="messages msg_receive">
                            <p>
                                that mongodb thing looks good, huh?
                                tiny master db, and huge document store
                            </p>
                            <time>Timothy • 51 min</time>
                        </div>
                    </div>
                </div>
                <div class="row msg_container base_sent">
                    <div class="col-md-10 col-xs-10 ">
                        <div class="messages msg_sent">
                            <p>
                                that mongodb thing looks good, huh?
                                tiny master db, and huge document store
                            </p>
                            <time>Timothy • 51 min</time>
                        </div>
                    </div>
                    <div class="col-md-2 col-xs-2 avatar">
                        <img src="~/Content/pic.png" class=" img-responsive ">
                    </div>
                </div>
            </div>
            <div class="panel-footer">
                <div class="input-group">
                    <input id="btn-input" type="text" class="form-control input-sm chat_input" placeholder="Write your message here..." />
                    <span class="input-group-btn">
                        <button class="btn btn-primary btn-sm" id="btn-chat">Send</button>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
